ESDOTS:(1)

NAME
esdots - Analyze the video items contained in an elementary stream

SYNOPSIS
esdots [switches] <infile>

DESCRIPTION

    TS tools version 1.11, esdots built Nov 11 2008 17:15:46

    Present the content of an H.264 (MPEG-4/AVC), H.262 (MPEG-2) or AVS elementary stream as a sequence of characters, representing access units/MPEG-2 items/AVS items. (Note that for H.264 it is access units and not frames that are represented, and for H.262 it is items and not pictures.)

  Files:

<infile>
    is the Elementary Stream file (but see -stdin below)

  Switches:

-verbose, -v
    Preface the output with an explanation of the characters being used.

-stdin
    Take input from <stdin>, instead of a named file

-max <n>, -m <n>
    Maximum number of entities to read

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-hasheos
    Print a # on finding an EOS (end-of-stream) NAL unit rather than stopping (only applies to H.264)

-es Report ES units, rather than any 'higher' unit (not necessarily suppported for all file types)

-gop
    Show the duration of each GOP (for MPEG-2 steams) OR the distance between random access points (H.264)

-fr Set the video frame rate (default = 25 fps)

  Stream type:

    If input is from a file, then the program will look at the start of the file to determine if the stream is H.264 or H.262 data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

    For AVS data, the program will never guess correctly, so the user must specify the file type, using -avs.

    If input is from standard input (via -stdin), then it is not possible for the program to make its own decision on the input stream type. Instead, it defaults to H.262, and relies on the user indicating if this is wrong.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

-avs
    Force the program to treat the input as AVS.

    TS tools version 1.11, esdots built Nov 11 2008 17:15:46

    Present the content of an H.264 (MPEG-4/AVC), H.262 (MPEG-2) or AVS elementary stream as a sequence of characters, representing access units/MPEG-2 items/AVS items.

    (Note that for H.264 it is access units and not frames that are represented, and for H.262 it is items and not pictures.)

  Files:

<infile>
    is the Elementary Stream file (but see -stdin below)

  Switches:

-verbose, -v
    Preface the output with an explanation of the characters being used.

-stdin
    Take input from <stdin>, instead of a named file

-max <n>, -m <n>
    Maximum number of entities to read

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-hasheos
    Print a # on finding an EOS (end-of-stream) NAL unit rather than stopping (only applies to H.264)

-es Report ES units, rather than any 'higher' unit (not necessarily suppported for all file types)

-gop
    Show the duration of each GOP (for MPEG-2 steams) OR the distance between random access points (H.264)

-fr Set the video frame rate (default = 25 fps)

  Stream type:

    If input is from a file, then the program will look at the start of the file to determine if the stream is H.264 or H.262 data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

    For AVS data, the program will never guess correctly, so the user must specify the file type, using -avs.

    If input is from standard input (via -stdin), then it is not possible for the program to make its own decision on the input stream type. Instead, it defaults to H.262, and relies on the user indicating if this is wrong.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

-avs
    Force the program to treat the input as AVS.

SEE ALSO
The full documentation for esdots is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.